Bug 119070 - No option for splittree.py to omit building SRPM discs
No option for splittree.py to omit building SRPM discs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
FC4
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-24 12:41 EST by Armijn Hemel
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 12:04:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
simple patch which adds a --no_srpm option to splittree.py (1.93 KB, patch)
2004-03-24 12:43 EST, Armijn Hemel
no flags Details | Diff

  None (edit)
Description Armijn Hemel 2004-03-24 12:41:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
In splittree.py it is not possible to omit the creation of trees for
SRPMS. In case when you don't have SRPMS (internal release inside a
company or a lab for instance) splittree will complain if you  
specify the amount of src-discs as 0:

for i in range(self.src_list[0], self.src_list[-1] + 1): IndexError:
list index out of range

Having an option that can let you turn off the creation of the SRPM
things would be convenient to have in some cases. Attached bug solves
it in a very very crude way by adding a new --no_srpm option, it would
be better to have the option 'src-discs 0' handle it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. when creating your own CDs don't have any SRPMS
2. set as option src-discs 0
3. splittree.py will complain and barf
    

Additional info:
Comment 1 Armijn Hemel 2004-03-24 12:43:29 EST
Created attachment 98834 [details]
simple patch which adds a --no_srpm option to splittree.py

This patch (few minute job) is a very crude way to force splittree into
ignoring SRPMS. An ideal solution would check whether the src-discs option is >
0.
Comment 2 Jeremy Katz 2005-02-02 11:43:35 EST
Tweaked the patch to go off of --src-discs=0 instead.  But basically committed.

Note You need to log in before you can comment on or make changes to this bug.